function runscript()
	storewindow();
	graphic("stungun");
	speaker("");
	musvol(0);
	sound("getitem", CHAN_SCRIPTED);
	timedsay("Obtained the Stun Gun!", 200);
	say("The Stun Gun can be fired by pressing [Attack].");
	say("Besides damaging enemies, it can also be used to destroy weak blocks.");
	musvol(100);
	musres();
	giveweapon(WEAPON_STUNGUN);
	equip(WEAPON_STUNGUN);
	restorewindow();
	destroy ("stungun");
end